package cn.com.tenlion.systembase.pojo.vos.masspreventionrank;

import ink.wgink.annotation.CheckEmptyAnnotation;
import ink.wgink.annotation.CheckNumberAnnotation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 *
 * @ClassName: MassPreventionRankVO
 * @Description: 群防群治队伍
 * @Author: CodeFactory
 * @Date: 2021-10-12 14:40:57
 * @Version: 3.0
 **/
@ApiModel
public class MassPreventionRankVO {

    @ApiModelProperty(name = "massPreventionId", value = "群防群治组织表ID")
    private String massPreventionId;
    @ApiModelProperty(name = "organizeName", value = "组织名称")
    private String organizeName;
    @ApiModelProperty(name = "name", value = "姓名")
    private String name;
    @ApiModelProperty(name = "sex", value = "性别字典表ID")
    private String sex;
    @ApiModelProperty(name = "sexName", value = "性别名称")
    private String sexName;
    @ApiModelProperty(name = "sexCode", value = "性别编码")
    private String sexCode;
    @ApiModelProperty(name = "nation", value = "民族字典表ID")
    private String nation;
    @ApiModelProperty(name = "nationName", value = "名族名称")
    private String nationName;
    @ApiModelProperty(name = "nationCode", value = "民族编码")
    private String nationCode;
    @ApiModelProperty(name = "politicalOutlook", value = "政治面貌字典表ID")
    private String politicalOutlook;
    @ApiModelProperty(name = "politicalOutlookName", value = "政治面貌名称")
    private String politicalOutlookName;
    @ApiModelProperty(name = "politicalOutlookCode", value = "政治面貌编码")
    private String politicalOutlookCode;
    @ApiModelProperty(name = "cardCode", value = "证件代码字典表ID")
    private String cardCode;
    @ApiModelProperty(name = "cardCodeName", value = "证件代码名称")
    private String cardCodeName;
    @ApiModelProperty(name = "cardCodeCode", value = "证件代码编码")
    private String cardCodeCode;
    @ApiModelProperty(name = "cardNum", value = "证件号码")
    private String cardNum;
    @ApiModelProperty(name = "birthday", value = "出生日期")
    @CheckEmptyAnnotation(name = "出生日期", verifyType = "date")
    private String birthday;
    @ApiModelProperty(name = "post", value = "职务")
    private String post;
    @ApiModelProperty(name = "professionalExpertise", value = "专业特长字典表ID")
    private String professionalExpertise;
    @ApiModelProperty(name = "professionalExpertiseName", value = "专业特长名称")
    private String professionalExpertiseName;
    @ApiModelProperty(name = "professionalExpertiseCode", value = "专业特长编码")
    private String professionalExpertiseCode;
    @ApiModelProperty(name = "education", value = "学历字典表ID")
    private String education;
    @ApiModelProperty(name = "educationName", value = "学历名称")
    private String educationName;
    @ApiModelProperty(name = "educationCode", value = "学历编码")
    private String educationCode;
    @ApiModelProperty(name = "phone", value = "手机号码")
    private String phone;
    @ApiModelProperty(name = "fixedPhone", value = "固定电话")
    private String fixedPhone;
    @ApiModelProperty(name = "locationCode", value = "地区编码")
    private String locationCode;
    @ApiModelProperty(name = "grid", value = "所属网格")
    private String grid;
    @ApiModelProperty(name = "gridName", value = "所属网格")
    private String gridName;
    @ApiModelProperty(name = "teamType", value = "队伍类型")
    private String teamType;

    public String getMassPreventionId() {
        return massPreventionId == null ? "" : massPreventionId.trim();
    }

    public void setMassPreventionId(String massPreventionId) {
        this.massPreventionId = massPreventionId;
    }

    public String getOrganizeName() {
        return organizeName == null ? "" : organizeName.trim();
    }

    public void setOrganizeName(String organizeName) {
        this.organizeName = organizeName;
    }

    public String getName() {
        return name == null ? "" : name.trim();
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getSex() {
        return sex == null ? "" : sex.trim();
    }

    public void setSex(String sex) {
        this.sex = sex;
    }

    public String getSexName() {
        return sexName == null ? "" : sexName.trim();
    }

    public void setSexName(String sexName) {
        this.sexName = sexName;
    }

    public String getSexCode() {
        return sexCode == null ? "" : sexCode.trim();
    }

    public void setSexCode(String sexCode) {
        this.sexCode = sexCode;
    }

    public String getNation() {
        return nation == null ? "" : nation.trim();
    }

    public void setNation(String nation) {
        this.nation = nation;
    }

    public String getNationName() {
        return nationName == null ? "" : nationName.trim();
    }

    public void setNationName(String nationName) {
        this.nationName = nationName;
    }

    public String getNationCode() {
        return nationCode == null ? "" : nationCode.trim();
    }

    public void setNationCode(String nationCode) {
        this.nationCode = nationCode;
    }

    public String getPoliticalOutlook() {
        return politicalOutlook == null ? "" : politicalOutlook.trim();
    }

    public void setPoliticalOutlook(String politicalOutlook) {
        this.politicalOutlook = politicalOutlook;
    }

    public String getPoliticalOutlookName() {
        return politicalOutlookName == null ? "" : politicalOutlookName.trim();
    }

    public void setPoliticalOutlookName(String politicalOutlookName) {
        this.politicalOutlookName = politicalOutlookName;
    }

    public String getPoliticalOutlookCode() {
        return politicalOutlookCode == null ? "" : politicalOutlookCode.trim();
    }

    public void setPoliticalOutlookCode(String politicalOutlookCode) {
        this.politicalOutlookCode = politicalOutlookCode;
    }

    public String getCardCode() {
        return cardCode == null ? "" : cardCode.trim();
    }

    public void setCardCode(String cardCode) {
        this.cardCode = cardCode;
    }

    public String getCardCodeName() {
        return cardCodeName == null ? "" : cardCodeName.trim();
    }

    public void setCardCodeName(String cardCodeName) {
        this.cardCodeName = cardCodeName;
    }

    public String getCardCodeCode() {
        return cardCodeCode == null ? "" : cardCodeCode.trim();
    }

    public void setCardCodeCode(String cardCodeCode) {
        this.cardCodeCode = cardCodeCode;
    }

    public String getCardNum() {
        return cardNum == null ? "" : cardNum.trim();
    }

    public void setCardNum(String cardNum) {
        this.cardNum = cardNum;
    }

    public String getBirthday() {
        return birthday == null ? "" : birthday.trim();
    }

    public void setBirthday(String birthday) {
        this.birthday = birthday;
    }

    public String getPost() {
        return post == null ? "" : post.trim();
    }

    public void setPost(String post) {
        this.post = post;
    }

    public String getProfessionalExpertise() {
        return professionalExpertise == null ? "" : professionalExpertise.trim();
    }

    public void setProfessionalExpertise(String professionalExpertise) {
        this.professionalExpertise = professionalExpertise;
    }

    public String getProfessionalExpertiseName() {
        return professionalExpertiseName;
    }

    public void setProfessionalExpertiseName(String professionalExpertiseName) {
        this.professionalExpertiseName = professionalExpertiseName;
    }

    public String getProfessionalExpertiseCode() {
        return professionalExpertiseCode;
    }

    public void setProfessionalExpertiseCode(String professionalExpertiseCode) {
        this.professionalExpertiseCode = professionalExpertiseCode;
    }

    public String getEducation() {
        return education == null ? "" : education.trim();
    }

    public void setEducation(String education) {
        this.education = education;
    }

    public String getEducationName() {
        return educationName == null ? "" : educationName.trim();
    }

    public void setEducationName(String educationName) {
        this.educationName = educationName;
    }

    public String getEducationCode() {
        return educationCode == null ? "" : educationCode.trim();
    }

    public void setEducationCode(String educationCode) {
        this.educationCode = educationCode;
    }

    public String getPhone() {
        return phone == null ? "" : phone.trim();
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getFixedPhone() {
        return fixedPhone == null ? "" : fixedPhone.trim();
    }

    public void setFixedPhone(String fixedPhone) {
        this.fixedPhone = fixedPhone;
    }

    public String getLocationCode() {
        return locationCode;
    }

    public void setLocationCode(String locationCode) {
        this.locationCode = locationCode;
    }

    public String getGrid() {
        return grid;
    }

    public void setGrid(String grid) {
        this.grid = grid;
    }

    public String getGridName() {
        return gridName;
    }

    public void setGridName(String gridName) {
        this.gridName = gridName;
    }

    public String getTeamType() {
        return teamType;
    }

    public void setTeamType(String teamType) {
        this.teamType = teamType;
    }
}
